#!/bin/sh

QT_VERSION="4"
#WORK_DIR=$(cd $(dirname $0); pwd)                           
WORK_DIR=/opt
USB_DIR=$1
LIB_BASE=$WORK_DIR/library/lib

MEMSIZE=`cat /proc/meminfo |  grep "MemTotal:" | awk '{print $2}'`
echo "memsize: ${MEMSIZE} kB"
if [ "$MEMSIZE" -gt 100000 ]; then
     echo "Platform Is S3"
     TOUCH_NODE=event0
     DISPLAY_NODE=fb0
     FONTDIR=${LIB_BASE}/fonts
else
     echo "Platform Is V3S"
     TOUCH_NODE=event1     
     DISPLAY_NODE=fb0     
     FONTDIR=${LIB_BASE}/fonts
fi

echo "TOUCH_NODE: $TOUCH_NODE"
echo "DISPLAY_NODE: $DISPLAY_NODE"


# sys
export LD_LIBRARY_PATH=/usr/lib:$LD_LIBRARY_PATH

# base
export LD_LIBRARY_PATH=${LIB_BASE}:$LD_LIBRARY_PATH

# crypto
echo "export crypto"
export LIBCRYPTO_DIR=${LIB_BASE}/libcrypto
export LD_LIBRARY_PATH=${LIBCRYPTO_DIR}/lib:$LD_LIBRARY_PATH
# openssl
echo "export openssl"
export LIBOPENSSL_DIR=${LIB_BASE}/openssl                                              
export LD_LIBRARY_PATH=${LIBOPENSSL_DIR}/lib:$LD_LIBRARY_PATH                          
#curl                                                        
echo "export curl"                                           
export LIBCURL_DIR=${LIB_BASE}/libcurl                       
export LD_LIBRARY_PATH=${LIBCURL_DIR}/lib:$LD_LIBRARY_PATH   
#cairo
echo "export cairo"                                           
export LIBCAIROS_DIR=${LIB_BASE}/libcairos
export LD_LIBRARY_PATH=${LIBCAIROS_DIR}/lib:$LD_LIBRARY_PATH   
                                                                                   
      

# tslib                                                                                
echo "export tslib"                                                                    
export TSLIBDIR=${LIB_BASE}/tslib
export TSLIB_TSDEVICE=/dev/input/$TOUCH_NODE
export TSLIB_CONFFILE=${TSLIBDIR}/etc/ts.conf
export TSLIB_PLUGINDIR=${TSLIBDIR}/lib/ts
if [ -e /opt/software1/pointercal ]; then
    export TSLIB_CALIBFILE=/opt/software1/pointercal
    export POINTERCAL_FILE=/opt/software1/pointercal
else
   export TSLIB_CALIBFILE=${TSLIBDIR}/etc/pointercal
   export POINTERCAL_FILE=${TSLIBDIR}/etc/pointercal
fi
export TSLIB_CONSOLEDEVICE=none
export TSLIB_FBDEVICE=/dev/$DISPLAY_NODE
export LD_LIBRARY_PATH=${TSLIBDIR}/lib:$LD_LIBRARY_PATH


if [ $QT_VERSION = "5" ]; then
	# Qt5
	echo "Export Qt5"
	export QTDIR=${LIB_BASE}/qt5
	export QT_QPA_PLATFORM_PLUGIN_PATH=${QTDIR}/plugins
	export LD_LIBRARY_PATH=${QTDIR}/lib:$LD_LIBRARY_PATH
	export QT_QPA_EVDEV_TOUCHSCREEN_PARAMETERS=/dev/input/$TOUCH_NODE:inverty
	# export QT_QPA_FONTDIR=${QTDIR}/fonts
	export QT_QPA_FONTDIR=/tmp	
	export QT_QPA_PLATFORM=linuxfb:fb=/dev/$DISPLAY_NODE:size=320x480:mmSize=55x98:offset=0x0:rotation=270
	#export QT_AUTO_SCREEN_SCALE_FACTOR=1
	#export QT_SCALE_FACTOR=2
	export QT_QPA_GENERIC_PLUGINS=tslib
	#preload 
	export LD_PRELOAD=${QTDIR}/lib/libQt5Core.so:${QTDIR}/lib/libQt5Gui.so:${QTDIR}/lib/libQt5Widgets.so:${QTDIR}/lib/libQt5Svg.so:${QTDIR}/lib/libQt5Xml.so
else
	# Qt4
	echo "export Qt4"
	export QTDIR=${LIB_BASE}/qt4
	export QT_PLUGIN_PATH=${QTDIR}/plugins
	export LD_LIBRARY_PATH=${QTDIR}/lib:$LD_LIBRARY_PATH
	export QWS_MOUSE_PROTO=tslib:/dev/input/$TOUCH_NODE
	export QWS_DISPLAY=LinuxFb:/dev/$DISPLAY_NODE
	export QT_QWS_FONTDIR=$FONTDIR
	export QT_QPA_PLATFORM=linuxfb:tty=/dev/$DISPLAY_NODE
#	export QWS_SIZE=800x480
#	export QWS_SIZE=1024x600
	#preload 
	export LD_PRELOAD=${QTDIR}/lib/libQtCore.so:${QTDIR}/lib/libQtGui.so:${QTDIR}/lib/libQtNetwork.so:${QTDIR}/lib/libQtSvg.so:${QTDIR}/lib/libQtXml.so
fi



#USB_DIR=$1

# USB update & LCD Calibrate
#echo "USB start"
#if test -n "${USB_DIR}" ; then
#	if [ -f ${USB_DIR}/lcd_calibrate ]
#	then
#		echo "rm calibrate info file"
#		rm -f $TSLIB_CALIBFILE
#		sync
#	fi
#fi

#export PATH=${USB_DIR}/:$PATH
if [ ! -f $TSLIB_CALIBFILE ]; then
	echo "calibrate lcd"
	ts_calibrate
	sync
fi

